打印

1.4版生产Let's Encrypt证书失败怎么办?

1.4版生产Let's Encrypt证书失败怎么办?

如题阿里云杭州机房,1核,2G内存,Ubuntu16.04系统。
错误截图



生产ssl的日志
附件: 您所在的用户组无法下载或查看附件

TOP

参考资源:
https://certbot.eff.org/#ubuntuxenial-other

[ 本帖最后由 yangw198x 于 2017-7-2 20:56 编辑 ]

TOP

引用:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/virtualenv.py", line 2363, in <module>
    main()
  File "/usr/lib/python3/dist-packages/virtualenv.py", line 719, in main
    symlink=options.symlink)
  File "/usr/lib/python3/dist-packages/virtualenv.py", line 988, in create_environment
    download=download,
  File "/usr/lib/python3/dist-packages/virtualenv.py", line 918, in install_wheel
    call_subprocess(cmd, show_stdout=False, extra_env=env, stdin=SCRIPT)
  File "/usr/lib/python3/dist-packages/virtualenv.py", line 812, in call_subprocess
    % (cmd_desc, proc.returncode))
OSError: Command /root/.local/share/letsencrypt/bin/python2.7 - setuptools pkg_resources pip wheel failed with error code 2
可能是你系统上virtualenv是python3的,而你系统上默认python是python2.7
你可以 python -V
virtualenv -v
分别看一下

TOP


python是2.7,virtualenv那个看不太懂
附件: 您所在的用户组无法下载或查看附件

TOP

pip -V 看一下是不是python2的
是的话
apt-get purge python-virtualenv python3-virtualenv virtualenv
成功删除后再 pip install virtualenv
再试试看看

TOP

回复 5# 的帖子

军哥,用里你说的这个方法,还是不行,提示如下
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/virtualenv.py", line 2363, in <module>
    main()
  File "/usr/lib/python3/dist-packages/virtualenv.py", line 719, in main
    symlink=options.symlink)
  File "/usr/lib/python3/dist-packages/virtualenv.py", line 988, in create_environment
    download=download,
  File "/usr/lib/python3/dist-packages/virtualenv.py", line 918, in install_wheel
    call_subprocess(cmd, show_stdout=False, extra_env=env, stdin=SCRIPT)
  File "/usr/lib/python3/dist-packages/virtualenv.py", line 812, in call_subprocess
    % (cmd_desc, proc.returncode))
OSError: Command /root/.local/share/letsencrypt/bin/python2.7 - setuptools pkg_resources pip wheel failed with error code 2
Let's Encrypt SSL Certificate create failed!

TOP

回复 6# 的帖子

按提示看依然是letsencrypt上的版本与virtualenv的版本不一样

TOP